Installing Data Discovery

Steps to install Data Discovery.

Data Discovery application can be deployed using helm.

Note: For connecting and deploying from the Protegrity Container Registry (PCR), use the helm registry login <Container_Registry_Path> command and the credentials obtained from the My.Protegrity portal during account creation.

Install Data Discovery using the following command:

helm registry login <Container_Registry_Path>
helm upgrade --install data-discovery \
  oci://<Container_Registry_Path>/data-discovery/2.0/classification/helm/data-discovery \
  --version 2.0.0-373.gf464fa3e \
  --namespace data-discovery \
  --create-namespace

Replace the placeholder values in the command with the following variables.

Variable NameDescriptionValue
<Container_Registry_Path>Location of the container registry where the Data Discovery Helm chart is published.
  • registry.protegrity.com:9443 if Protegrity Container Registry is used.

  • Local registry endpoint if a local registry is used.

When installing Data Discovery in a region other than the default us-east-1, an AMI ID override may be required.

helm registry login <Container_Registry_Path>
helm upgrade --install data-discovery \
  oci://<Container_Registry_Path>/data-discovery/2.0/classification/helm/data-discovery \
  --version 2.0.0-373.gf464fa3e \
  --namespace data-discovery \
  --create-namespace \
  --set karpenterResources.nodeClass.amiId="<ami-id>"

Note: Ensure that <ami-id> in the preceding command is replaced with a valid AMI ID for the AWS region in use. For more information about AMI IDs and available options, refer AMI ID.

Validating the deployment

After installing Data Discovery, validate the deployment using the following steps.

  1. Check whether all Data Discovery Pods are ready and running using the following command.
kubectl get pods -n data-discovery

NAME                                           READY   STATUS    RESTARTS   AGE
classification-deployment-75db967f47-88kkc     1/1     Running   0          5h40m
context-provider-deployment-54f44fb4b6-p9wx2   1/1     Running   0          5h32m
pattern-provider-deployment-6b6cb5f8dd-2kx25   1/1     Running   0          5h40m
  1. Submit a classification request to the Data Discovery API.

Note: The following requirements are necessary to submit a classification request to the Data Discovery API:

  • An Authentication token.
  • To login with a user with data_discovery_permission access. This permission is currently assigned to the security_administrator role.
curl -k https://<CLUSTER_FQDN>/pty/data-discovery/v2/classify/text \
      -H 'Content-Type: text/plain' \
      -H "Authorization: Bearer <JWT_TOKEN>" \
      --data 'You can reach Dave Elliot by phone 203-555-1286'

Where:

  • <CLUSTER_FQDN> is the Fully Qualified Domain Name of the cluster (FQDN). For example, eclipse.aws.protegrity.com.
  • <JWT_TOKEN> is authentication token.

To view a sample response, refer to API Endpoints in Data Discovery.

Tip: To test classification without authentication, refer to Verify application functionality without authentication in the Troubleshooting section.


Last modified : April 13, 2026